Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 623882 - dev-qt/qtgui-5.7.1[egl] on x32 ABI: qt_egl_p.h: error: redefinition of ‘struct QtInternal::QtEglConverter<unsigned int, unsigned int>’
Summary: dev-qt/qtgui-5.7.1[egl] on x32 ABI: qt_egl_p.h: error: redefinition of ‘struc...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL: http://code.qt.io/cgit/qt/qtbase.git/...
Whiteboard:
Keywords: PATCH, UPSTREAM
Depends on:
Blocks: x32
  Show dependency tree
 
Reported: 2017-07-05 16:03 UTC by Dainius Masiliūnas
Modified: 2017-07-08 03:22 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (file_623882.txt,416.06 KB, text/plain)
2017-07-05 16:03 UTC, Dainius Masiliūnas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dainius Masiliūnas 2017-07-05 16:03:20 UTC
Created attachment 480842 [details]
build.log

Attempting to compile qtgui-5.7.1 with the egl USE flag results in a number of redefinition errors (build log attached). qtgui-5.6.2 worked fine.

I'm using x32 arch, though I'm not sure if this is relevant.
Comment 1 Dainius Masiliūnas 2017-07-06 19:46:29 UTC
Ah, it is an x32-related bug, and it is fixed in Qt 5.7.2. Waiting for it to appear in the tree. Upstream bug report added to See Also.
Comment 2 Davide Pesavento gentoo-dev 2017-07-06 23:59:29 UTC
Thanks. This commit should be the upstream fix: http://code.qt.io/cgit/qt/qtbase.git/commit/?id=92805a0e9c488e47280e93f65e5378818e340ad1

> [...] fixed in Qt 5.7.2. Waiting for it to appear in the tree.

5.7.2 doesn't exist, it was never released.
Comment 3 Dainius Masiliūnas 2017-07-07 07:27:49 UTC
Oh! So I guess that the bug report saying that it was fixed in 5.7.2 actually means it was fixed in 5.8.0. In that case, indeed, it would be nice if the patch was applied to 5.7.1.
Comment 4 Michael Palimaka (kensington) gentoo-dev 2017-07-08 03:22:03 UTC
Thanks, fixed in git.

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6b2840ee88b2c39486177c68a4c898e5fed0583